
<link rel="stylesheet" href="<?php echo $request->getBaseUrl(); ?>/2.0/css/jquery-ui.css">
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery-ui.js"></script>

<script>
	function ajaxAssocier(action, er_ancien_id, er_nouveau_id, numeroER) {
		var idER = $('#idER').val() ;
		var typeasso_id = $('#typeasso_id').val() ;
		var association_commentaire = $('#association_commentaire').val() ;
		var traitement_id = $('#traitement_id').val() ;

		if (action == "ajouter") {
			er_ancien_id = $('#er_ancien_id').val() ;
		
			if (er_ancien_id == "") {
				alert("Veuillez sélectionner un élément à associer depuis la liste !") ;
				return;
			} else if (er_ancien_id == idER) {
				alert("Vous ne pouvez pas associer cet élément avec lui même !") ;
				return;
			} else if ((typeof $('#tr_' + er_ancien_id + "-" + idER).html() != "undefined") || (typeof $('#tr_' + idER + "-" + er_ancien_id).html() != "undefined")) {
				alert("Cette association existe déjà !") ;
				return ;
			}
			if (traitement_id == 0) {
				alert("Cet élément n'a pas été associé à un traitement.") ;
				return;
			}
		} else if (action == "modifier")
			association_commentaire = $('#commentaire_' + er_ancien_id + "-" + er_nouveau_id).val() ;
		
		$.ajax({
			type:"POST",
			url: "<?php echo $request->getBaseUrl(); ?>/elementrecueilli/ajaxAssocier",
			data:"action=" + action + "&er_nouveau_id=" + er_nouveau_id + "&idER=" + idER + "&numeroER=" + numeroER
			+ "&er_ancien_id=" + er_ancien_id 
			+ "&association_commentaire=" + association_commentaire + "&typeasso_id=" + typeasso_id
			+ "&traitement_id=" + traitement_id,    
			success: function(returnData) {
				// Affichage du modal (boite de dialogue)
				$('#modalTitle').html("Association de l'élément recueilli (" + $('#numeroER').val() + " comme élément après traitement)") ;
				$('#modalBody').html(returnData);
				//$('#myModal').modal();
				if(returnData.error)
					alert(returnData.error);
				},
				error: function(returnData) {
					alert('Une erreur est survenue.'); 
				}
		});		
	}

// jfb 2016-06-03 HEAD	
	function autoComEr(event) {
		var us = document.getElementById("identificationUS").value;
		var idus = document.getElementById("idUS").value;
		var ider = document.getElementById("idER").value;
		
		$("#er_ancien").autocomplete({
			autoFocus : true,
	    	source: '<?php echo $request->getBaseUrl(); ?>/elementrecueilli/ajaxautocom?us_num='+us+'&ider='+ider+'&idus='+idus,
	    	minLength: 1,
	    	appendTo: $('#div_resultat'),
	    	select: function( event, ui ) {
				$('#traitement_id').load("<?php echo $this->getRequest('Elementrecueilli','UpdateListTraitement'); ?>?ider_associe=" + ui.item.id+'&ider_current='+ider);
	         	$("#er_ancien_id").val(ui.item.id);
	         	$("#er_ancien").val(ui.item.value);
	    	}
		});
	}
// jfb 2016-06-03 upstream dev
	
	function initialiser(event) {
		document.getElementById('er_ancien').value="";
		document.getElementById('er_ancien_id').value="";
	}
	
	function afficherCommentaire(id) {
		if (document.getElementById("tr_" + id).style.display == "none") {
			document.getElementById("tr_" + id).style.display = "table-row" ;
			document.getElementById("tr_traitement_" + id).style.display = "table-row" ;
			document.getElementById("btn_commentaire_" + id).className = "glyphicon glyphicon-minus-sign" ;
			document.getElementById("btn_commentaire_" + id).setAttribute("title", "Cacher le détail") ;
		} else {
			document.getElementById("tr_" + id).style.display = "none" ;
			document.getElementById("tr_traitement_" + id).style.display = "none" ;
			document.getElementById("btn_commentaire_" + id).className = "glyphicon glyphicon-plus-sign" ;
			document.getElementById("btn_commentaire_" + id).setAttribute("title", "Afficher le détail" ) ;
		}
	}
	
	function autoComEr(event) {
		//var us=document.getElementById("us_identification").value;
		var us = 'BELVE.00106';
		//var idus=document.getElementById("idUS").value;
		var idus = '05f92aa4-e50b-bf8e-62fd-cfc5f0d44f05';
		//var ider=document.getElementById("idER").value;
		var ider = 'e2ef4680-2f00-96c0-c54d-0a7cb3e4dee8';
		
		$("#er_ancien").autocomplete({
			autoFocus : true,
	    	source: '<?php echo $request->getBaseUrl(); ?>/elementrecueilli/ajaxAutocom?us_num='+us+'&ider='+ider+'&idus='+idus,
	    	minLength: 1,
	    	appendTo: $('#div_resultat'),
	    	select: function( event, ui ) {
	         	
	    		$("#er_ancien_id").val(ui.item.id);
	         	$("#er_ancien").val(ui.item.value);
	    	}
		});
	}
	
</script>
<?php  
	$filter_html = new Yab_Filter_Html();     	
/*if($this->getSession()->has('flash_status')){
?>
    <div>
      <div class="alert alert-dismissable alert-<?php echo $this->getSession()->flash('flash_status'); ?>">
        <!-- Nota :  flash_status = warning | danger | success | info -->
        <button type="button" class="close" data-dismiss="alert">X</button>
        <h4><?php echo $this->getSession()->flash('flash_title', 'Html'); ?></h4>
        <?php echo $this->getSession()->flash('flash_message', 'Html'); ?>
      </div>
    </div>
<?php }*/ ?>

<!-- Début partie création -->

<input type="hidden" id="identificationUS" value="<?php echo $identificationUS; ?>" />
<input type="hidden" id="idUS" value="<?php echo $idUS; ?>" />
<input type="hidden" id="idER" value="<?php echo $idER; ?>" />
<input type="hidden" id="numeroER" value="<?php echo $numeroER; ?>" />
<div>
	<table class="categorie_table_ref" style="width: 100%;">
 		<caption class="table_head gestion_bordures txt-position" style="text-align:center;">Création d'une association</caption>
		<tr class="white gestion_bordures">
			<th class="ref_gestion_taille_affichage th_center">Elément à associer<br/>(Avant traitement)</th>
			<th colspan="2" class="ref_gestion_taille_affichage th_center">Type d'association</th>
		</tr>
		<tr class="gestion_tr_color_ref gestion_bordures">
			<td class="ref_gestion_taille_affichage th_center">
  				<input type="text" class="color inputColor input_style" id="er_ancien" value="" placeholder="Tapez un numéro ou une description." onfocus="autoComEr(event);" onclick="<!--initialiser(event);-->" />
  				<input type="hidden" id="er_ancien_id" value="" />
  				<div id='div_resultat' style='height: 0px'></div>
			</td>
			<td colspan="2" class="ref_gestion_taille_affichage th_center">
  				<select id="typeasso_id" class="color select_style">
  					<?php
 						foreach($types as $type) {
							$sel = ($type->get("id") == $typeasso_id) ? "selected='selected'" : "" ;
							echo "<option $sel value='". $type->get("id") . "'>" . $type->get("categorie_value", $filter_html) . "</option>" ;
						}
  					?>
  				</select>
			</td>
		</tr>
		<tr style="height:30px;" class="gestion_tr_color_ref gestion_bordures">
			<th style="font-size:3;" colspan="3" class="ref_gestion_taille_affichage th_center">Traitement</th>
		</tr>
		<tr class="gestion_tr_color_ref gestion_bordures">
			<td colspan="3" class="ref_gestion_taille_affichage th_center">
				<select style="padding:5px" id="traitement_id" class="color select_style">
 					<?php
						foreach($traitements as $traitement) {
							$sel = ($traitement->get("id") == $traitement_id) ? "selected='selected'" : "" ;
							echo "<option $sel value='". $traitement->get("id") . "'>" 
								. $traitement->get("nom", $filter_html) . " - "
								. $traitement->get("type", $filter_html) . " - "
								. Plugin_Fonctions::convertitDateUsFr($traitement->get("debut", $filter_html)) . " - "
								. Plugin_Fonctions::convertitDateUsFr($traitement->get("fin", $filter_html)) . " - "
								. $traitement->get("lieu", $filter_html) 
								. "</option>" ;
						}
						if (count($traitements) == 0)
							echo "<option value='0'>-- Pas de traitement associé à cet élément --</option>" ;
  					?>
  				</select>
			</td>
		</tr>
		<tr class="gestion_tr_color_ref gestion_bordures">
			<td colspan="2" class="ref_gestion_taille_affichage th_center">
				<textarea id="association_commentaire" class="color textarea_us" style="width:100%;height:100px;" placeholder="Commentaire"></textarea>
			</td>
			<td class="ref_gestion_taille_affichage th_center">
				<span id="btn_ajouter" class="glyphicon glyphicon-plus-sign" title="Ajouter" alt="ajouter" onclick="ajaxAssocier('ajouter', null, null, '<?php echo $numeroER; ?>');" style="font-size: 32px;"></span>
			</td>
		</tr>
	</table>
</div>

<!-- Fin partie création -->

<!-- Début partie modification -->

<br/><br/>
	<div style="Overflow-y:auto; overflow-x:hidden; max-height:300px;">
		<table class="categorie_table_ref" style="width:100%;">
      			<caption class="table_head gestion_bordures txt-position" style="text-align:center;">Liste des associations</caption>
      			<tr class="white gestion_bordures">
				<th colspan="2" class="ref_gestion_taille_affichage th_center">Eléments associés</th>
				<th colspan="3" class="ref_gestion_taille_affichage th_center"></th>
			</tr>
			<tr class="white gestion_bordures">
				<th class="ref_gestion_taille_affichage th_center">Avant traitement</th>
				<th class="ref_gestion_taille_affichage th_center">Après traitement</th>
				<th class="ref_gestion_taille_affichage th_center">Type d'association</th>
				<th class="ref_gestion_taille_affichage th_center">Plus d'informations</th>
				<th class="ref_gestion_taille_affichage th_center"></th>
			</tr>
			<!-- Liste des associations -->
			<?php foreach($associations as $association) {
				$er_ancien_id = $association->get("er_ancien_id") ;				
				$er_nouveau_id = $association->get("er_nouveau_id") ;
				$commentaire = $association->get("commentaire", $filter_html) ;
				$typeasso_nom = $association->get("typeasso_nom", $filter_html) ;

				$er_ancien_nom = (!is_null($association->get("er_ancien_nom"))) ? $association->get("er_ancien_nom", $filter_html) : "Elément isolé" ;
				$er_nouveau_nom = (!is_null($association->get("er_nouveau_nom"))) ? $association->get("er_nouveau_nom", $filter_html) : "Elément isolé" ;
 			?>
			<tr class="gestion_tr_color_ref gestion_bordures">
				<td class="ref_gestion_taille_affichage th_center">
          			<span><?php echo $er_ancien_nom ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
          			<span><?php echo $er_nouveau_nom ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
          			<span><?php echo $typeasso_nom ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center btn_action">
					<span style="font-size: 18px; cursor:pointer;" id="btn_commentaire_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" class="glyphicon glyphicon-plus-sign" title="Afficher le détail" value="" onclick="afficherCommentaire('<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>');" ></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center btn_action">
					<span class="glyphicon glyphicon-remove-circle alert-danger" title="Supprimer cette association" alt="Supprimer" onclick="if(confirm('Veuillez Cliquer sur OK pour confirmer la suppression.')) ajaxAssocier('supprimer', '<?php echo $er_ancien_id ; ?>', '<?php echo $er_nouveau_id ; ?>', '<?php echo $numeroER ; ?>');" style="font-size: 18px;"></span>
				</td>
			</tr>
			<tr class="gestion_tr_color_ref gestion_bordures" id="tr_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" style="display:none;">
			<th class="ref_gestion_taille_affichage th_center">Commentaire : </th>
				<td colspan="3" class="ref_gestion_taille_affichage th_center">
					<textarea id="commentaire_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" class="color textarea_us" style="width:100%;height:100px;" onChange="ajaxAssocier('modifier', '<?php echo $er_ancien_id ; ?>', '<?php echo $er_nouveau_id ; ?>', '<?php echo $numeroER ; ?>');"><?php echo $commentaire ; ?></textarea>
				</td>
			</tr>
			<tr class="gestion_tr_color_ref gestion_bordures" id="tr_traitement_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" style="display:none;">
				<th class="ref_gestion_taille_affichage th_center">Traitement : </th>
				<td colspan="3" class="ref_gestion_taille_affichage th_center">
					<?php 
						echo $association->get("nomSignificatifTR", $filter_html) . " - "
						    .$association->get("traitement_nom", $filter_html) . " - "					
							. Plugin_Fonctions::convertitDateUsFr($association->get("debut", $filter_html)) . " - "
							. Plugin_Fonctions::convertitDateUsFr($association->get("fin", $filter_html)) . "<br/>"
							. $association->get("lieu", $filter_html) ;  
					?>
				</td>
			</tr>
			<?php } ?>
			<!-- Liste des associations inverses -->
			<?php foreach($associationsInverses as $associationInverse) {
				$er_ancien_id = $associationInverse->get("er_ancien_id") ;				
				$er_nouveau_id = $associationInverse->get("er_nouveau_id") ;
				$commentaire = $associationInverse->get("commentaire", $filter_html) ;
				$typeasso_nom = $associationInverse->get("typeasso_nom", $filter_html) ;

				$er_ancien_nom = (!is_null($associationInverse->get("er_ancien_nom"))) ? $associationInverse->get("er_ancien_nom", $filter_html) : "Elément isolé" ;
				$er_nouveau_nom = (!is_null($associationInverse->get("er_nouveau_nom"))) ? $associationInverse->get("er_nouveau_nom", $filter_html) : "Elément isolé" ;
 			?>
			<tr class="gestion_tr_color_ref gestion_bordures">
				<td class="ref_gestion_taille_affichage th_center">
          			<span><?php echo $er_ancien_nom ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
          			<span><?php echo $er_nouveau_nom ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
          			<span><?php echo $typeasso_nom ; ?></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
					<span style="font-size: 18px; cursor:pointer;" id="btn_commentaire_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" class="glyphicon glyphicon-plus-sign" title="Afficher le détail" value="" onclick="afficherCommentaire('<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>');" ></span>
				</td>
				<td class="ref_gestion_taille_affichage th_center">
					<span class="glyphicon glyphicon-remove-circle alert-danger" title="Supprimer cette association"" alt="Supprimer" onclick="if(confirm('Veuillez Cliquer sur OK pour confirmer la suppression.')) ajaxAssocier('supprimer', '<?php echo $er_ancien_id ; ?>', '<?php echo $er_nouveau_id ; ?>', '<?php echo $numeroER ; ?>');" style="font-size: 18px;"></span>
				</td>
			</tr>
			<tr class="gestion_tr_color_ref gestion_bordures" id="tr_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" style="display:none;">
			<th class="ref_gestion_taille_affichage th_center">Commentaire : </th>
				<td colspan="3" class="ref_gestion_taille_affichage th_center">
					<textarea id="commentaire_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" class="color textarea_us" style="width:100%;height:100px;" onChange="ajaxAssocier('modifier', '<?php echo $er_ancien_id ; ?>', '<?php echo $er_nouveau_id ; ?>', '<?php echo $numeroER ; ?>');"><?php echo $commentaire ; ?></textarea>
				</td>
			</tr>
			<tr class="gestion_tr_color_ref gestion_bordures" id="tr_traitement_<?php echo $er_ancien_id . "-" . $er_nouveau_id ; ?>" style="display:none;">
				<th class="ref_gestion_taille_affichage th_center">Traitement : </th>
				<td colspan="3" class="ref_gestion_taille_affichage th_center">
					<?php 
						echo $associationInverse->get("nomSignificatifTR", $filter_html) . " - "
						    .$associationInverse->get("traitement_nom", $filter_html) . " - "
							. Plugin_Fonctions::convertitDateUsFr($associationInverse->get("debut", $filter_html)) . " - "
							. Plugin_Fonctions::convertitDateUsFr($associationInverse->get("fin", $filter_html)) . "<br/>"
							. $associationInverse->get("lieu", $filter_html) ;  
					?>
				</td>
			</tr>
			<?php } ?>
		</table>
	</div>
	
<!-- Fin partie modification -->
